@charset "utf-8";
/* CSS Document */


/* *************************************
	logo
************************************* */

.chime-logo {
    max-height: 53%;
    position: absolute;
    transform: translate(0, 20%);
    margin-left: 7px;
}


/* *************************************
	form control
************************************* */

/* code from custom.css (Chime) */
@supports (-ms-ime-align: auto) {
    .form-control {
        scrollbar-width: thin;
        scrollbar-color: var(--main-color) rgba(0,41,51,0.15);
    }
}


/* *************************************
	button
************************************* */

.btn-accent {
	color: white;
	background-color: #002933;
}

.btn-accent:hover {
	color: white;
	background-color: #001b22;
}

.btn-accent:focus,.btn-accent:active {
	color: white;
	background-color: black;
}

.btn-default {
	color: rgba(0,0,0,.87);
	background-color: white;
	border: 1px solid rgba(0,0,0,.87);
}

.btn-default:hover {
	background: rgba(122,147,153,0.15);
}

.btn-default:focus,.btn-default:active {
	background-color: rgba(122,147,153,0.25);
}

.btn-info {
	color: white;
	background-color: #4ec5e1;
}

.btn-info:hover {
	color: white;
	background-color: #3fc0df;
}

.btn-info:focus,.btn-info:active {
	color: white;
	background-color: #25b5d7;
}

.btn-small {
	height: auto;
	padding: 4px 24px;
	line-height: 1.4;
}

.btn-list-box {
	height:58px;
	width: auto;
	display: flex;
}
.btn-list-box > div {
	display: inline-block;
	align-self: flex-end;
}


/* *************************************
	table
************************************* */

/* セル幅固定テーブル */
.tbl-width-fixed {
    width:auto !important;
}

/* セル表示テーブル */
.tbl-cell {
	border-collapse: collapse;
	font-size: 9pt;
	line-height: 120%;
	table-layout: fixed;
}
.tbl-cell thead {
	line-height: 1;
}
.tbl-cell th {
	background: #7f7f7f;
	color: white;
}
.tbl-cell td {
	height: 60px;
}
.tbl-cell th,.tbl-cell td {
	min-width: 80px;
	text-align: center;
	border: 1px solid #000;
}

/* 一覧テーブル */
.tbl-list {
	width: 100%;
}

.tbl-list th,
.tbl-list td {
	border-collapse: collapse;
	padding: 5px 10px;
	border: 1.5px solid var(--light-gray);
	text-align: center;
}

.tbl-list th {
	background-color: var(--light-gray);
	font-weight: normal;
}

/* ステータス表示制御用スタイル */
.status {
	width: 95px;
	letter-spacing: 0.2em;
	padding: 2px 8px;
	border-radius: 10px;
	color: white;
	height: 20px;
	margin: 2px auto;
}
.label-secondary {
	background-color : #616161;
}
.label-danger {
	background-color : #FF002F;
}
.label-warning {
	background-color : #d2cc17;
}
.label-part-success {
	background-color : #33B679;
}


/* *************************************
	calendar
************************************* */

#calendar {
	display: flex;
	text-align: center;
	flex-wrap: wrap;
	justify-content: space-around;
}

#calendar table {
	border-collapse: separate;
	border-spacing: 4px;
}

#calendar td:not(.c_date) {
	color: #7A9399;
}

#calendar td {
	/* border: 1px solid #ddd; */
	padding: 10px;
	text-align: center;
	font-size: 15px;
	cursor: pointer;
	background-color: white;
	line-height: 17px;
}

#calendar td:first-child {
	/* color: red; */
}

#calendar td:last-child {
	/* color: royalblue; */
}

#calendar td.is-disabled {
	color: #7A9399;
}

.calendar {
	width: 90%;
}

.calendar td,
.calendar th {
	border: 1px solid lightgray;
	text-align: center;
	padding: 0;
}

.calendar td>label {
	width: 17px;
	height: 17px;
	cursor: pointer;
}

.calendar td>label.legal-holiday {
	background-color: #098a00;
	color: white;
	/*border-radius: 50px;*/
	width: 100%;
	height: 100%;
}

.calendar td>label.nonstatutory-holiday {
	background-color: #39e626;
	/*border-radius: 50px;*/
	color: white;
	width: 100%;
	height: 100%;
}

#Modal .date {
	padding: 10px 0px 0px 3px;
	text-align: center;
	font-size: 30px
}

#Modal label {
	cursor: pointer;
}

.other-content>.btn-check:checked+.btn-holiday {
	background-color: var(--main-color);
	border-color: var(--main-color);
}

.other-content>.btn-check+.btn-holiday {
	width: 200px;
	border-radius: 20px;
}

.other-content>.btn-check:checked+.btn-outline-primary {
	border-color: var(--main-color);
	background-color: var(--main-color);
	color: white
}

.day-modal .btn-check:checked+.btn-holiday {
	box-shadow: 0 0 0 5px var(--main-color);
}

/* ▽曜日別休日一括設定　 */
.other-content .btn-check:checked+.btn-holiday {
	box-shadow: 0 0 0 5px var(--main-color);
}

.weekday-btn,
.fixed-holiday-btn,
.legal-holiday-btn {
	position: relative;
	text-align: center;
	width: 50px;
	margin: 5px;
	border-radius: 20px;
	display: inline-block;
}

.weekday-btn {
	background-color: white;

}

.fixed-holiday-btn {
	color: white;
	background-color: #39e626;
}

.legal-holiday-btn {
	color: white;
	background-color: #098a00;
}

.weekday,
.saturday,
.sunday,
.national_holiday {

	font-size: 12px;
	text-align: center;
}

.saturday {
	color: blue;
}

.sunday {
	color: red;
}

.national_holiday {
	color: red;
}

.weekHeader>.sunday {
	background: red;
	color: white;
}

.weekHeader>.saturday {
	background: blue;
	color: white;
}


.weekHeader>.weekday {
	background: #a6aeb3;
	color: white;
}

.calendar td:nth-child(1) {
	color: red;
}

.calendar td:nth-child(7) {
	color: blue;
}

.btn-before,.btn-next {
	background: white;
	border: none;
	padding: 0px;
}

.sunday-color { color: #de2c53; }
.saturday-color { color: #4ec5e1; }

.inactive_date {
	background:#BFBFBF !important;
	color: #2b2b2b;
	opacity:0.5;
}

.is-small{
	/* background-image: radial-gradient(#BFBFBF 10%, transparent 10%), radial-gradient(#BFBFBF 10%, transparent 10%);
	background-size: 11px 9px;
	background-position: 0 0px, 6px 6px;*/
	background-image: radial-gradient(#BFBFBF 20%, transparent 10%), radial-gradient(#BFBFBF 20%, transparent 10%);
    background-size: 10px 8px;
    background-position: 0px -1px, 15px 4px;
}


/* *************************************
	header
************************************* */

#header {
	background: white;
	position: relative;
	box-shadow: 0 2px 4px -1px rgb(0 0 0 / 20%), 0 4px 5px 0 rgb(0 0 0 / 0%), 0 1px 10px 0 rgb(0 0 0 / 12%);
	z-index: 11;
}

#header nav {
	margin: 0;
	border: none;
	height: 60px;
}

#header:after {
	content: "";
	clear: both;
	display: block;
}

#header .inr {
	margin: 25px 10px;
	background: red;
}

#header .inr:after {
	content: "";
	clear: both;
	display: block;
}

#header h1 {
	float: left
}

#header h1 img {
	/*height:25px ; width:auto;*/
	height: 45px;
	width: auto;
	margin-top: 5px;
}

.ml-auto,
.mx-auto {
	margin-left: auto !important;
}

.navbar {
	position: relative;
	display: -ms-flexbox;
	display: flex;
	-ms-flex-wrap: wrap;
	flex-wrap: wrap;
	-ms-flex-align: center;
	align-items: center;
	-ms-flex-pack: justify;
	justify-content: space-between;
	padding: 0.5rem 0.5rem;
}

.navbar .container,
.navbar .container-fluid,
.navbar .container-sm,
.navbar .container-md,
.navbar .container-lg,
.navbar .container-xl {
	display: -ms-flexbox;
	display: flex;
	-ms-flex-wrap: wrap;
	flex-wrap: wrap;
	-ms-flex-align: center;
	align-items: center;
	-ms-flex-pack: justify;
	justify-content: space-between;
}

.navbar-brand {
	display: inline-block;
	padding-top: 0.3125rem;
	padding-bottom: 0.3125rem;
	margin-right: 0.5rem;
	font-size: 1.25rem;
	line-height: inherit;
	white-space: nowrap;
}

.navbar-brand:hover,
.navbar-brand:focus {
	text-decoration: none;
}

.navbar-nav {
	display: -ms-flexbox;
	display: flex;
	-ms-flex-direction: column;
	flex-direction: column;
	padding-left: 0;
	margin-bottom: 0;
	list-style: none;
}

.navbar-nav .nav-link {
	padding-right: 0;
	padding-left: 0;
	color: var(--gray);
}

.navbar-nav .nav-item .nav-link:hover,
.navbar-nav .nav-item .nav-link label:hover,
.navbar-nav .nav-item .dropdown-menu .dropdown-item:hover,
.navbar-nav .nav-item .dropdown-menu .dropdown-item label:hover {
	color: #708B92;
	text-decoration: none;
	cursor: pointer;
}
.navbar-nav .nav-item .nav-link:focus,
.navbar-nav .nav-item .dropdown-menu .dropdown-item:focus,
.navbar-nav .nav-item .nav-link:active {
	color: #566B71;
	text-decoration: none;
}

.navbar-nav .nav-link span#pushmenu {
	color: #636363;
}

.navbar-nav .dropdown-menu {
	position: static;
	float: none;
}

.navbar-text {
	display: inline-block;
	padding-top: 0.5rem;
	padding-bottom: 0.5rem;
}

.nav-item .nav-link .badge-dot {
	background: red;
	position: absolute;
	top: 22px;
	padding: 4px;
	border-radius: 4px;
	margin-left: 14px;
}

.nav-item .dropdown-menu .dropdown-item .badge-dot {
	background: red;
	position: absolute;
	top: 50px;
	padding: 4px;
	border-radius: 4px;
	margin-left: 14px;
}

.navbar-collapse {
	-ms-flex-preferred-size: 100%;
	flex-basis: 100%;
	-ms-flex-positive: 1;
	flex-grow: 1;
	-ms-flex-align: center;
	align-items: center;
}

.navbar-toggler {
	padding: 0.25rem 0.75rem;
	font-size: 1.25rem;
	line-height: 1;
	background-color: transparent;
	border: 1px solid transparent;
	border-radius: 0.25rem;
}

.navbar-toggler:hover,
.navbar-toggler:focus {
	text-decoration: none;
}

.navbar-toggler-icon {
	display: inline-block;
	width: 1.5em;
	height: 1.5em;
	vertical-align: middle;
	content: "";
	background: 50% / 100% 100% no-repeat;
}

.navbar-nav-scroll {
	max-height: 75vh;
	overflow-y: auto;
}

.dropdown-menu-lg {
	padding: 2px;
	min-height: 100px;
	margin-top: 0.5rem !important;
	right: 1px !important;
}

.dropdown-menu-lg .dropdown-item {
	color: var(--gray);
}

.dropdown-menu-lg .dropdown-divider {
	padding: 4px;
}

.navbar-expand {
	-ms-flex-flow: row nowrap;
	flex-flow: row nowrap;
	-ms-flex-pack: start;
	justify-content: flex-start;
}

.navbar-expand>.container,
.navbar-expand>.container-fluid,
.navbar-expand>.container-sm,
.navbar-expand>.container-md,
.navbar-expand>.container-lg,
.navbar-expand>.container-xl {
	padding-right: 0;
	padding-left: 0;
}

.navbar-expand .navbar-nav {
	-ms-flex-direction: row;
	flex-direction: row;
}

.navbar-expand .navbar-nav .dropdown-menu {
	position: absolute;
}

.navbar-expand .navbar-nav .nav-link,
.navbar-expand .navbar-nav .nav-workplace {
	padding-right: 1rem;
	padding-left: 1rem;
	color: var(--gray);
}

.navbar-expand>.container,
.navbar-expand>.container-fluid,
.navbar-expand>.container-sm,
.navbar-expand>.container-md,
.navbar-expand>.container-lg,
.navbar-expand>.container-xl {
	-ms-flex-wrap: nowrap;
	flex-wrap: nowrap;
}

.navbar-expand .navbar-nav-scroll {
	overflow: visible;
}

.navbar-expand .navbar-collapse {
	display: -ms-flexbox !important;
	display: flex !important;
	-ms-flex-preferred-size: auto;
	flex-basis: auto;
}

.navbar-expand .navbar-toggler {
	display: none;
}

.navbar-expand .navbar-nav .nav-workplace {
	color: var(--brack) !important;
	display: block;
    padding: .5rem 1rem;
	font-size: 25px;
	font-weight: bold;
}

@media(max-width: 992px){
	.nav-lg-menu {
		display: none;
	}
}

@media(max-width: 767px){
	.navbar-nav .open .dropdown-menu {
		background: white;
		top: 39px !important;
		border: 1px solid gray;
	}
}


/* *************************************
	side menu
************************************* */

#side {
	height: calc(100vh - 97px);
	background: white;
	color: var(--gray);
	border: none;
	/* border-bottom: solid 1px #849095;
	border-left: solid 1px #849095; */
	position: absolute;
	width: var(--sidebar-width);
	z-index: 10;
	box-shadow: 0 2px 4px -1px rgb(0 0 0 / 20%), 0 4px 5px 0 rgb(0 0 0 / 0%), 0 1px 10px 0 rgb(0 0 0 / 12%);
}

/* #side ul{ list-style:none} */
#side ul {
	padding: 10px 0px 0px 10px;
	width: 100%;
}

#side ul li {
	font-size: 14px;
	line-height: 14px;
	text-align: center;
	width: 100%;
	height: 40px;
	padding: 7px 0px;
}

#side ul li a,
#side ul li>span {
	display: inherit;
	text-align: left;
	cursor: pointer;
}

#side ul li i {
	font-size: 24px;
}

#side ul li span.text {
	font-size: 14px;
	vertical-align: top;
	padding: 8px 3px 8px 8px;
	line-height: 24px;
}

#side ul li.divider {
	font-size: 14px;
	padding-right: 10px;
}

#side ul li.divider span {
	border-top: 1px solid var(--gray)5E;
	padding-top: 12px;
	letter-spacing: 0;
}


#side a,
#side span {
	color: var(--gray);
	text-decoration: none;
	cursor: pointer;
}

#side a {
	margin:auto 2px;
}

#side ul li.menu_item:hover {
	width: calc(var(--sidebar-width) - 20px);
	height: 40px;
	border-radius: 6px;
	background-color: rgba(122, 147, 153, 0.15);
}

#side ul li.active { border-right: 7px solid var(--main-color);}
#side ul li.active span { color: var(--main-color);}
#side ul li.active span.text { color: #002933; font-weight: bold;}

#side ul li.active:hover {
	width: calc(var(--sidebar-width) - 10px);
	border-radius: 6px 0 0 6px;
}

@media(min-width: 991px) {

	#contents {
		margin-left: var(--sidebar-width);
	}

	#side {
		width: var(--sidebar-width);
	}

	.nav-lg-menu {
		display: block;
	}
}

@media(max-width: 990px){

	#side {
		width: var(--sidebar-width);
		display:none;
	}

	#contents {
		margin-left: 0px;
	}
}


/* *************************************
	tab menu
************************************* */

.nav-lg-menu {
	display: block;
}

/* nav tabs style start */
.nav-tabs {
	border: none;
	background: none;
}

.nav-tabs li {
	color: var(--text-color);
	background: none;
	border: none;
	padding: 1px 0px 3px;
}

.nav-tabs li a {
	color: var(--text-color);
	text-align: center;
	text-decoration: none;
	display: block;
	border: none;
	padding: 0px 1rem;
	border-right: 1px solid var(--text-color);
	background: rgba(122,147,153,0.15);
}

.nav-tabs li:last-child a {
	border: none;
}

.nav-tabs li a:not(.active) {
	padding-bottom: 3px;
}

.nav-tabs li a.active {
	background: none;
	border-bottom: 3px solid var(--main-color);
}


/* *************************************
	footer
************************************* */

.foot-linker {
	font-size: 12px;
	background: #F1F4F5;
	height: 34px;
	padding: 0 16px;
	position: relative;
	z-index: 12;
}


/* *************************************
	modal
************************************* */

.modal-content { padding: 10px 20px; }
.modal .modal-header,
.modal .modal-footer { border: 0; }
.modal .modal-header { padding: 0; }


/* *************************************
	symbol
************************************* */

.symbol-confirm {
	font-size: 60px;
	line-height: 60px;
	text-align: center;
	margin: 20px 20px;
	color: var(--gray);
}
.symbol-complete {
	font-size: 60px;
	line-height: 60px;
	text-align: center;
	margin: 20px 20px;
	color: var(--main-color);
}


/* *************************************
	sweet alert
************************************* */

.swal2-modal .swal2-title,
.swal2-modal .swal2-content {
	font-weight: normal !important;
	font-size: 20px !important;
}
.swal2-actions .swal2-confirm {
	padding-top: 3px !important;
	padding-bottom: 3px !important;
}
.swal2-actions .swal2-confirm:focus,
.swal2-actions .swal2-confirm:active,
.swal2-actions .swal2-confirm:focus-visible {
	outline: none !important;
}
.swal2-actions .swal2-cancel {
	color: var(--gray) !important;
	border: 1px solid var(--gray) !important;
	padding: 2px 32px !important;
}


/* *************************************
	scrollbar
************************************* */

#contents,
.custom-scroll,
.scroll-01 {
	overflow-y: auto;
}

#contents,
.custom-scroll,
.scroll-01 {
	scrollbar-width: thin;
	scrollbar-color: var(--main-color) rgba(0,41,51,0.15);
}

#contents::-webkit-scrollbar,
.custom-scroll::-webkit-scrollbar,
.scroll-01::-webkit-scrollbar {
	width: 10px;
	height: 10px;
	scrollbar-width: thin;
	scrollbar-color: var(--main-color) rgba(0,41,51,0.15);
}

#contents::-webkit-scrollbar-track,
.custom-scroll::-webkit-scrollbar-track,
.scroll-01::-webkit-scrollbar-track {
	border-radius: 5px;
	background-color: rgba(0,41,51,0.15);
}

#contents::-webkit-scrollbar-thumb,
.custom-scroll::-webkit-scrollbar-thumb,
.scroll-01::-webkit-scrollbar-thumb {
	border-radius: 5px;
	background: var(--main-color);
}

.scroll-tbl-height-01 {
	height: calc(100vh - 400px);
	min-height: 300px;
}

.scroll-tbl-height-10 {
	height: calc(100vh - 340px);
	min-height: 300px;
}

.scroll-tbl-height-02 {
	height: calc(100vh - 438px);
	min-height: 200px;
}

.scroll-tbl-height-01>table>thead>tr>th,
.scroll-tbl-height-05>table>thead>tr>th,
.scroll-tbl-height-10>table>thead>tr>th,
.scroll-tbl-height-02>table>thead>tr>th{
	/* 縦スクロール時に固定する */
	position: -webkit-sticky;
	position: sticky;
	top: 0;
	/* tbody内のセルより手前に表示する */
	z-index: 1;
	background-color: white;
}

.scroll-tbl-height-03 {
	height: calc(100vh - 334px);
	min-height: 200px;
}

.scroll-tbl-height-04 {
	height: calc(100vh - 400px);
	min-height: 200px;
}

.scroll-tbl-height-05 {
	height: calc(100vh - 400px);
	min-height: 200px;
}

.tbl-scroll-area {
	overflow-y: scroll;
}


/* *************************************
	select2
************************************* */

.select2-selection{
	border:none!important;
}
.select2-container {
	border-bottom:1px solid;
}

.swal2-icon.swal2-success [class^="swal2-success-line"] {
	border-color: var(--main-color);
	background-color: var(--main-color);
}

.swal2-icon.swal2-success .swal2-success-ring {
	border-color: var(--main-color);

}

.alert-icon-size.swal2-icon {
	font-size: 1.5em;
}

.btn-custom-confirm {
	background-color: #28a745;
	/* 緑色 */
	color: white;
	border: none;
	padding: 10px 20px;
	font-size: 16px;
	border-radius: 5px;
}

.btn-custom-cancel {
	background-color: #dc3545;
	/* 赤色 */
	color: white;
	border: none;
	padding: 10px 20px;
	font-size: 16px;
	border-radius: 5px;
}



/* *************************************
	cursor
************************************* */

.btn-dtl {
	cursor:pointer;
}
.pointer {
	cursor:pointer;
}


/* *************************************
	error text
************************************* */

.error {
    color: red;
    background-color: #ffe4e4;
    padding: 5px 10px;
}
